API Reference
Delivery Policies
3 endpoints· Auth: JWT or API Key
get
/api/v1/console/delivery/policies JWT API KeyGet policies
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/policies" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
put
/api/v1/console/delivery/policies JWT API KeyUpdate policies
Request body
application/json
{
"channelId": "00000000-0000-0000-0000-000000000000",
"discountContributionPct": 0,
"maxContributionAmount": 0,
"returnRequired": false,
"compensationPct": 0,
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"active": false
}| channelId string (uuid) | — |
| discountContributionPct number (double) | — |
| maxContributionAmount integer (int64) | — |
| returnRequired boolean | — |
| compensationPct number (double) | — |
| startDate string (date) | — |
| endDate string (date) | — |
| active boolean | — |
Responses
200Success
cURL
curl -X PUT "https://staging-api.panoptesos.com/api/v1/console/delivery/policies" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"channelId": "00000000-0000-0000-0000-000000000000",
"discountContributionPct": 0,
"maxContributionAmount": 0,
"returnRequired": false,
"compensationPct": 0,
"startDate": "2026-09-30",
"endDate": "2026-09-30",
"active": false
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/delivery/policies/{channelId} JWT API KeyGet channelId
Path parameters
| channelIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/policies/{channelId}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu